dofile_once( "data/scripts/lib/utilities.lua" )

--Killing Player

local entity_id = GetUpdatedEntityID()

local x, y = EntityGetTransform( entity_id )

local projectiles = EntityGetInRadiusWithTag(x, y, 9, "player_unit")

if ( #projectiles > 0 ) and ( GlobalsGetValue("pinball_ending", "0") == "0" ) then
	local px, py = EntityGetTransform( projectiles[1] )
	if GlobalsGetValue("pinball_respawn_in_progress", "0") == "0" then
	  EntityLoad("mods/pinball/files/death_sparks.xml", px, py)
	  SetTimeOut(0, "mods/pinball/files/head_checker.lua", "fake_death")
	end
end

--Moving the bumper right and left

local holder_id = EntityGetParent( entity_id )
local hx, hy = EntityGetTransform( holder_id )

if x < hx then
	SetValueBool("move_right", true)
elseif x > hx + 74 then
	SetValueBool("move_right", false)
end

if GetValueBool("move_right", true) == true then
	EntitySetTransform( entity_id, x + 1, y )
else
	EntitySetTransform( entity_id, x - 1, y )
end