function collision_trigger(colliding_entity)
	if EntityGetName(colliding_entity) == "pinbomb" then
		return
	end
	
    local entity = GetUpdatedEntityID()
    local x,y = EntityGetTransform(entity)
	
	local px,py = EntityGetTransform(colliding_entity)

	if entity > 0 and GlobalsGetValue("pinball_respawn_in_progress", "0") == "0" then
	  local health = tonumber(GlobalsGetValue("pinball_player_health", "5"))
	  if health > 0 then
		GlobalsSetValue("pinball_player_health", health - 1)
		EntityLoad("mods/pinball/files/blood_sparks.xml", px, py)
		EntityKill(colliding_entity)
	  else
	    GamePlaySound("data/audio/Desktop/animals.bank", "animals/damage/physics_hit", x, y)
		EntityLoad("mods/pinball/files/blood_sparks.xml", px, py)
		EntityKill(colliding_entity)
		SetTimeOut(0, "mods/pinball/files/head_checker.lua", "fake_death")
	  end
	end
end
