dofile_once("data/scripts/lib/utilities.lua")

local range = 500

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

local target = EntityGetClosestWithTag(x, y, "player_unit")
local tx, ty = EntityGetTransform(target)
local dist = get_distance(tx, ty, x, y)

if dist > range then
	
	for i, child in ipairs(EntityGetAllChildren(entity_id)  or {}) do
		if child > 0 then
			EntityKill(child)
		end
	end

else
	child1 = false
	child2 = false
	for i, child in ipairs(EntityGetAllChildren(entity_id) or {} ) do
	  if EntityGetName(child) == "tentacle_limb" then
		child1 = true
	  end
	  if EntityGetName(child) == "Vine" then
		child2 = true
	  end
	end
	
	if child1 == false then
		local verlet = EntityLoad( "mods/pinball/files/vine_monster/verlet.xml", x, y )
		EntityAddChild( entity_id, verlet )
	end
	
	if child2 == false then
		local entity_ghost = EntityLoad( "mods/pinball/files/vine_monster/vine.xml", x, y )
		EntityAddChild( entity_id, entity_ghost )
		
		edit_all_components( entity_ghost, "GhostComponent", function(comp,vars)
			vars.mEntityHome = entity_id
		end)
	end

end