dofile_once("data/scripts/lib/utilities.lua")

--Coin
local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

local player = EntityGetInRadiusWithTag(x, y, 15, "player_unit")
local px, py = EntityGetTransform(player[1])

if GetValueBool("collected", false) == false then
	if #player > 0 and GlobalsGetValue("pinball_respawn_in_progress", "0") == "0" then
	  local stars = tonumber(GlobalsGetValue("pinball_star3_number", "0"))
	  GlobalsSetValue("pinball_star3_number", stars + 1)
	  shoot_projectile( entity_id, "data/entities/particles/gold_pickup_huge.xml", px, py, 0, 0 )
	  EntitySetComponentsWithTagEnabled(entity_id, "enabled_in_hand", true)
	  EntitySetComponentsWithTagEnabled(entity_id, "enabled_in_world", false)
	  SetValueBool("collected", true)
	  -- print("collected star")
	end
end

if GlobalsGetValue("pinball_respawn_in_progress", "0") == "1" then
  EntitySetComponentsWithTagEnabled(entity_id, "enabled_in_hand", false)
  EntitySetComponentsWithTagEnabled(entity_id, "enabled_in_world", true)
  SetValueBool("collected", false)
  -- print("reset stars")
end

if GlobalsGetValue("pinball_checkpoint4", "0") == "1" then
  EntityKill(entity_id)
end

--Shield part
local children = EntityGetAllChildren( entity_id)
if children == nil then return end

local enable = true

if GlobalsGetValue("pinball_button3_pressed", "0") == "1" then
	enable = false
end

if enable == true then

	for _,v in ipairs(children) do
		if EntityGetTags(v) == "shield_entity" then
			EntitySetComponentsWithTagEnabled( v, "enabled_while_shielding", true )
		end
	end
	
elseif enable == false then

	for _,v in ipairs(children) do
		if EntityGetTags(v) == "shield_entity" then
			EntitySetComponentsWithTagEnabled( v, "enabled_while_shielding", false )
		end
	end

end