dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )

local children = EntityGetAllChildren( entity_id)
if children == nil then return end

local enable = true

if GlobalsGetValue("pinball_checkpoint6", "0") == "1" then
	enable = false
end

if enable == true then

	for _,v in ipairs(children) do
		if EntityGetTags(v) == "shield_entity" then
			EntitySetComponentsWithTagEnabled( v, "enabled_while_shielding", true )
		end
	end
	
elseif enable == false then

	for _,v in ipairs(children) do
		if EntityGetTags(v) == "shield_entity" then
			EntitySetComponentsWithTagEnabled( v, "enabled_while_shielding", false )
		end
	end

end