local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

local parent_id = EntityGetParent(entity_id)
local x2, y2 = EntityGetTransform(parent_id)

--GOTO PLAYER if seen
local players = EntityGetInRadiusWithTag(x2, y2, 150, "player_unit")
local px, py = EntityGetTransform(players[1])
local players_to_grab = EntityGetInRadiusWithTag(x, y, 5, "player_unit")
local ghost_component = EntityGetFirstComponentIncludingDisabled( entity_id, "GhostComponent")

local var_comp = EntityGetFirstComponent(entity_id, "VariableStorageComponent", "grabbing")

if #players_to_grab > 0 then

	grabbing = true
	
else

	grabbing = false
	
end

if grabbing == true then

	EntitySetTransform(players_to_grab[1], x, y)
	
end

local number = GetValueNumber("number", 0)
SetValueNumber("number", number + 1)

if ghost_component then
	if #players > 0 and not grabbing and number > 180 then
		local did_hit = RaytraceSurfaces( x2, y2, px, py )
		if not did_hit then
			ComponentSetValue2( ghost_component, "mTargetEntityId", players[1] )
		end
	else
		ComponentSetValue2( ghost_component, "mTargetEntityId", parent_id )
	end
end